Subject: Re: [PATCH] git-cherry-pick: improve description of -x.

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 19 Oct 2007 23:19:17 -0400

Frank Lichtenheld <[email-masked]> wrote:
> On Fri, Oct 19, 2007 at 07:41:34PM +0200, Ralf Wildenhues wrote:
> > Further, I am surprised that -x seems to be nonfunctional when the
> > cherry pick introduces a conflict.  Example:
> [...]
> > The prototype commit message now does not contain the
> > | (cherry picked from commit ...).
> > 
> > Is that by design (because there were conflicts) or an omission?
> > In case of the former, maybe the description of -x should mention this.
> 
> git commit currently doesn't know that you commit a cherry-pick. The -c
> only says to use the commit message of the original commit. So this is
> currently by design.

Ralf, can you submit an updated version of this patch that describes
the current behavior better, given the "by design" remark above
from Frank?
 
-- 
Shawn.